#
# spec file for package python-azure-cognitiveservices-language-nspkg
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-azure-cognitiveservices-language-nspkg
Version:        3.0.1
Release:        3.12
Summary:        Microsoft Azure Cognitive Services Language namespace package
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-cognitiveservices-language-nspkg/azure-cognitiveservices-language-nspkg-%{version}.zip
Source1:        LICENSE.txt
BuildRequires:  %{python_module azure-cognitiveservices-nspkg >= 3.0.0}
BuildRequires:  %{python_module azure-nspkg >= 3.0.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-cognitiveservices-nspkg >= 3.0.0
Requires:       python-azure-nspkg >= 3.0.0
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure Cognitive Services Language namespace package.

This package is not intended to be installed directly by the end user.

It provides the necessary files for other packages to extend the azure.cognitiveservices.language namespace.

%prep
%setup -q -n azure-cognitiveservices-language-nspkg-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-cognitiveservices-language-nspkg-%{version}
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_expand mkdir -p %{buildroot}%{$python_sitelib}/azure/cognitiveservices/language

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%dir %{python_sitelib}/azure/cognitiveservices/language
%python2_only %{python_sitelib}/azure/cognitiveservices/language
%{python_sitelib}/azure_cognitiveservices_language_nspkg-*.egg-info

%changelog
* Tue Jan 19 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Fix issues with Python multi-flavor builds
  + Create directories using %%pythond_expand in %%install section
  + Use canonical %%{python_sitelib} path in %%files section
* Thu Nov 26 2020 Robert Schweikert <rjschwei@suse.com>
- Only build Python3 flavors for distributions 15 and greater
* Fri Oct  4 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 3.0.1
- Bump minimum version for namespace packages
  to 3.0.0 in BuildRequires and Requires
- Remove python-devel package from BuildRequires
- Run fdupes to hardlink duplicate files
  + Add fdupes to BuildRequires
  + Add %%fdupes invocation to %%install
- Switch to implicit namespace packages on Python 3 (PEP 420)
  + Create an empty python_sitelib directory on Python 3
- Update BuildRequires and Requires from setup.py
* Fri Sep  7 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Move LICENSE.txt from %%doc to %%license section
* Mon Jan 22 2018 adrian.glaubitz@suse.com
- Initial build
  + Version 2.0.0
